Subject: [Tools-discuss] Fwd: [rfc-i] Is v3 ready?

From: Carsten Bormann <[email-masked]>
Date: Sun, 27 Jun 2021 18:03:05 +0200

Maybe we should get rid of web interfaces that no longer work right?
(Or at least add warning messages.)

(There is a deeper request here: Do run monitoring on these web interfaces.
I know that creating meaningful monitoring is a significant project on its own, but it would have uncovered this.)

Grüße, Carsten

> Begin forwarded message:
> 
> From: Steve Slevinski <[email-masked]>
> Subject: Re: [rfc-i] Is v3 ready?
> Date: 2021-06-27 at 17:29:25 CEST
> To: Julian Reschke <[email-masked]>
> Cc: [email-masked]
> Message-Id: <[email-masked]>
> 
> My apologies.
> 
> On page https://xml2rfc.tools.ietf.org/experimental.html <https://xml2rfc.tools.ietf.org/experimental.html> I didn’t see the convert v2 to v3 option in the top section.
> 
> I used the old prototype at the bottom of the page.
> 
> -Steve
> 
> 
>> On Jun 27, 2021, at 10:16 AM, Julian Reschke <[email-masked] <mailto:[email-masked]>> wrote:
>> 
>> Am 27.06.2021 um 17:09 schrieb Steve Slevinski:
>>> 
>>> 
>>>> On Jun 27, 2021, at 9:54 AM, Julian Reschke <[email-masked] <mailto:[email-masked]>> wrote:
>>>> 
>>>> Am 27.06.2021 um 16:24 schrieb Steve Slevinski:
>>>>> 
>>>>> The conversion from v2 to v3 still breaks tables by adding <td></tr>.
>>>>> Easy find and replace.
>>>> 
>>>> If that's reproducable: open a ticket at
>>>> <https://trac.ietf.org/trac/xml2rfc <https://trac.ietf.org/trac/xml2rfc>>.
>>>> 
>>> 
>>> I tried the conversion today.
>>> I don’t have permission to open a ticket.
>>> 
>>> Converting this text will reproduce the error.
>>> 
>>>           <texttable align='left' style='all' anchor='table_other_codes'>
>>>             <ttcol>Description</ttcol>
>>>             <ttcol>FSW Characters</ttcol>
>>>             <ttcol>SWU Characters</ttcol>
>>> 
>>>             <c>Sequence Marker</c>
>>>             <c>A</c>
>>>             <c>U+1D800</c>
>>> 
>>>             <c>Signbox Markers</c>
>>>             <c>B, L, M, R</c>
>>>             <c>U+1D801 to U+1D804</c>
>>> 
>>>             <c>Numbers</c>
>>>             <c>250 to 749</c>
>>>             <c>U+1D80C to U+1D9FF</c>
>>> 
>>>             <c>Symbols</c>
>>>             <c>S10000 to S38b07</c>
>>>             <c>U+40001 to U+4F428</c>
>>> 
>>>           </texttable>
>> 
>> Converts to:
>> 
>>        <thead>
>>          <tr>
>>            <th>Description</th>
>>            <th>FSW Characters</th>
>>            <th>SWU Characters</th>
>>          </tr>
>>        </thead>
>>        <tbody>
>>          <tr>
>>            <td>Sequence Marker</td>
>>            <td>A</td>
>>            <td>U+1D800</td>
>>          </tr>
>>          <tr>
>>            <td>Signbox Markers</td>
>>            <td>B, L, M, R</td>
>>            <td>U+1D801 to U+1D804</td>
>>          </tr>
>>          <tr>
>>            <td>Numbers</td>
>>            <td>250 to 749</td>
>>            <td>U+1D80C to U+1D9FF</td>
>>          </tr>
>>          <tr>
>>            <td>Symbols</td>
>>            <td>S10000 to S38b07</td>
>>            <td>U+40001 to U+4F428</td>
>>          </tr>
>>        </tbody>
>>      </table>
>> 
>> over here...
>> 
>> Best regards, Julian
>> 
> 
> _______________________________________________
> rfc-interest mailing list
> [email-masked]
> https://www.rfc-editor.org/mailman/listinfo/rfc-interest